<? if ($this->hh_status == Model_Escorts::HH_STATUS_ACTIVE): ?>
    <p class="hh_err2 text-danger"><?= __('hh_status_active') ?></p>
<? elseif ($this->hh_status == Model_Escorts::HH_STATUS_EXPIRED): ?>
    <p class="hh_err2 text-danger"><?= __('hh_status_expired', array('DAYS' => $this->activate_after_days)) ?></p>
<? endif; ?>

<form action="" method="post">
    <? if ($this->escort_data['hh_status'] == 1 || $this->escort_data['hh_status'] == 3): ?>
    <div class="hh_ov">
        <? endif; ?>

        <h5><?= __('escort') ?> <?= $this->escort_data['showname'] ?></h5>

        <? if (count($this->escort_data['incall_rates']) > 0 || count($this->escort_data['outcall_rates']) > 0): ?>
        <div class="inner">
            <div class="lab">
                <label for="motto"><?= __('hh_what_is_motto') ?></label>
            </div>

            <input id="motto" class="txt form-control w-25 m-w-100" type="text" name="data[<?= $this->escort_data['escort_id'] ?>][hh_motto]"
                   value="<?= $this->escort_data['hh_motto'] ?>"/>
            <span class="tip" title="<?= __('hh_info_motto') ?>"></span>
            <span class="err text-danger err_motto"></span>

        </div>


        <div class="d-flex">
            <div class="mr-3">
                <div class="lab">
                    <label for="week_day"><?= __('week_day') ?></label>
                </div>

                <select name="data[<?= $this->escort_data['escort_id'] ?>][hh_week_day]" class="form-control">
                    <? for ($i = 0; $i < 7; $i++): ?>
                        <? if ($i == 0): ?>
                            <option value="<?= time() ?>" <?= (isset($this->escort_data['hh_date_from']) && date('w', $this->escort_data['hh_date_from']) == date('w', time())) ? 'selected="selected"' : '' ?>><?= $this->getWeekDay(date('w', time()), $this->lang()) ?></option>
                        <? else: ?>
                            <option value="<?= strtotime('+' . $i . ' day', time()) ?>" <?= (isset($this->escort_data['hh_date_from']) && date('w', $this->escort_data['hh_date_from']) == date('w', strtotime('+' . $i . ' day', time()))) ? 'selected="selected"' : '' ?>><?= $this->getWeekDay(date('w', strtotime('+' . $i . ' day', time())), $this->lang()) ?></option>
                        <? endif; ?>
                    <? endfor; ?>
                </select>

            </div>
            <div class="mr-3">
                <div class="lab">
                    <label for="hour_from">From</label>
                </div>


                <select name="data[<?= $this->escort_data['escort_id'] ?>][hh_hour_from]" class="form-control">
                    <? for ($i = 0; $i < 24; $i++): ?>
                        <option value="<?= $i ?>" <?= (isset($this->escort_data['hh_date_from']) && date('G', $this->escort_data['hh_date_from']) == $i) ? 'selected="selected"' : '' ?>><?= (strlen($i) == 1 ? '0' : '') . $i ?>
                            &nbsp;&nbsp;
                        </option>
                    <? endfor; ?>
                </select>

            </div>
            <div class="mr-3">
                <div class="lab">
                    <label for="hour_to">Until</label>
                </div>


                <select name="data[<?= $this->escort_data['escort_id'] ?>][hh_hour_to]" class="form-control">
                    <? for ($i = 0; $i < 24; $i++): ?>
                        <option value="<?= $i ?>" <?= (isset($this->escort_data['hh_date_to']) && date('G', $this->escort_data['hh_date_to']) == $i) ? 'selected="selected"' : '' ?>><?= (strlen($i) == 1 ? '0' : '') . $i ?>
                            &nbsp;&nbsp;
                        </option>
                    <? endfor; ?>
                </select>
                <span class="err text-danger err_date"></span>

            </div>
        </div>

        <div class="rates_wrapper row">

            <? if (count($this->escort_data['incall_rates']) > 0): ?>
                <div class="incall_rates col-md-6 py-3">
                    <span class="err text-danger err_hh_hour py-2"></span>
                    <table class="rates-tbl w-100">
                        <thead>
                        <tr>
                            <th><?= __('hh_your_current_incall_rates_are') ?>:</th>
                            <th><?= __('hh_happy_hour_rates') ?></th>
                        </tr>
                        </thead>
                        <tbody>
                        <? foreach ($this->escort_data['incall_rates'] as $incall_rate): ?>
                            <tr>
                                <td width="70"><?= ($incall_rate['type']) ? $incall_rate['type'] : $incall_rate['time'] ?> <?= (!$incall_rate['type']) ? $this->defines['time_unit_options'][$incall_rate['time_unit']] : '' ?> <?= Model_Currencies::get($incall_rate['currency_id'])->title ?> <?= $incall_rate['price'] ?></td>
                                <td width="30">
                                    <span><?= Model_Currencies::get($incall_rate['currency_id'])->title ?></span>
                                    <input type="hidden"
                                           name="data[<?= $this->escort_data['escort_id'] ?>][old_incall_rates][<?= $incall_rate['id'] ?>]"
                                           value="<?= $incall_rate['price'] ?>"/>
                                    <input type="text" class="txt form-control w-50 d-inline"
                                           name="data[<?= $this->escort_data['escort_id'] ?>][incall_rates][<?= $incall_rate['id'] ?>]"
                                           value="<?= $incall_rate['hh_price'] ?>"/>
                                </td>
                            </tr>
                        <? endforeach; ?>
                        </tbody>
                    </table>
                </div>
            <? endif ?>

            <? if (count($this->escort_data['outcall_rates']) > 0): ?>
                <div class="outcall_rates col-md-6 py-3">
                    <span class="err text-danger err_hh_hour_outcall py-2"></span>
                    <table class="rates-tbl w-100">
                        <thead>
                        <tr>
                            <th><?= __('hh_your_current_outcall_rates_are') ?>:</th>
                            <th><?= __('hh_happy_hour_rates') ?></th>
                        </tr>
                        </thead>
                        <tbody>
                        <? foreach ($this->escort_data['outcall_rates'] as $outcall_rate): ?>
                            <tr>
                                <td width="70"><?= ($outcall_rate['type']) ? $outcall_rate['type'] : $outcall_rate['time'] ?> <?= (!$outcall_rate['type']) ? $this->defines['time_unit_options'][$outcall_rate['time_unit']] : '' ?> <?= Model_Currencies::get($outcall_rate['currency_id'])->title ?> <?= $outcall_rate['price'] ?></td>
                                <td width="30">
                                    <span><?= Model_Currencies::get($outcall_rate['currency_id'])->title ?></span>
                                    <input type="hidden"
                                           name="data[<?= $this->escort_data['escort_id'] ?>][old_outcall_rates][<?= $outcall_rate['id'] ?>]"
                                           value="<?= $outcall_rate['price'] ?>"/>
                                    <input type="text" class="txt form-control w-50 d-inline"
                                           name="data[<?= $this->escort_data['escort_id'] ?>][outcall_rates][<?= $outcall_rate['id'] ?>]"
                                           value="<?= $outcall_rate['hh_price'] ?>"/>
                                </td>
                            </tr>
                        <? endforeach; ?>
                        </tbody>
                    </table>
                </div>
            <? endif ?>

        </div>

        <? if ($this->escort_data['hh_status'] == 1 || $this->escort_data['hh_status'] == 3): ?>
    </div>
<? endif; ?>

    <div class="inner">
        <label class="no-width">

            <label class="custom-control custom-checkbox mb-2 mr-sm-2 mb-sm-0">
                <input title="<?= __('hh_info_save')?>" <?= ($this->escort_data['hh_save']) ? 'checked="checked"' : '' ?> type="checkbox" name="data[<?= $this->escort_data['escort_id'] ?>][hh_save]" value="1" class="custom-control-input"/>
                <span class="custom-control-indicator"></span>
                <span class="custom-control-description"><?= __('hh_save_label') ?></span>
            </label>

    </div>

    <div class="action-bar text-center">
        <button value="" name="" id="hh_save_btn" type="submit" class="btn btn-success rounded"><?= __('save')?></button>
        <button value="" name="" type="reset" class="btn btn-primary rounded"><?= __('reset')?></button>
    </div>
<? else: ?>
    <strong class="note"><?= __('hh_please_add_some_rates') ?></strong>
<? endif; ?>

</form>
